# Quelques procédures utilsées pour les entrée-sorties et autres acces 
# à unix

package provide stead 2.0

## stead:execExternalTclScript
# 
# exécutet le sript passé en parametre apres avoir supprimer
# la variable d'environnement TCL_LIBRARY.
# 
# Cette procedure auxiliaire est nécessaire car l'auto_path
# de stead (i.e. .../stead_wish3.6/wish3.6/lib/tcl7.3)
# est passé au processus fils qui ne peut plus utiliser la   
# nouvelle version de tcl !
# 
# 
proc stead:execExternalTclScript {scriptName} {
    global env
    set TCL_LIBRARY_BAK $env(TCL_LIBRARY) 
    unset env(TCL_LIBRARY) 
    set resultText  [exec /bin/sh -c $scriptName]
    set env(TCL_LIBRARY) $TCL_LIBRARY_BAK
    puts $resultText
}

